Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87745 - barcode xscreensaver is endian-broken
Summary: barcode xscreensaver is endian-broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xscreensaver
Version: 1.0
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 23:35 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-24 19:04:22 UTC


Attachments (Terms of Use)
patch to fix endian problem (deleted)
2003-04-01 23:36 UTC, Guy Streeter
no flags Details | Diff

Description Guy Streeter 2003-04-01 23:35:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The barcode screensaver displays incorrectly on a bigendian server. The program
creates its bitmaps little-endian, and needs to explicitly identify them as such.


Version-Release number of selected component (if applicable):
xscreensaver-4.07-2

How reproducible:
Always

Steps to Reproduce:
1.run the barcode screensaver on a ppc X server
2.see the garbage.
3.
    

Actual Results:  garbled display

Expected Results:  not garbled

Additional info:

I will attach a patch that fixes it.

Comment 1 Guy Streeter 2003-04-01 23:36:30 UTC
Created attachment 90820 [details]
patch to fix endian problem

Comment 2 Guy Streeter 2004-06-28 20:34:46 UTC
still broken, a year later

Comment 3 Ray Strode [halfline] 2004-08-18 10:26:46 UTC
This has been fixed upstream.  I'll update rawhide xscreensaver to the
newest version some time over the next few days.

Comment 4 Ray Strode [halfline] 2004-08-24 19:04:22 UTC
Updated packages should appear in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.